Public Member Functions | Public Attributes | List of all members
libfreehand::FHSymbolClass Struct Reference

`#include <FHTypes.h>`

## Public Member Functions
| FHSymbolClass ()

## Public Attributes
unsigned | m_nameId
unsigned | m_groupId
unsigned | m_dateTimeId
unsigned | m_symbolLibraryId
unsigned | m_listId

## Constructor & Destructor Documentation

## ◆ FHSymbolClass()

libfreehand::FHSymbolClass::FHSymbolClass | ( |  | ) |
| inline

## Member Data Documentation

## ◆ m_dateTimeId

unsigned libfreehand::FHSymbolClass::m_dateTimeId

Referenced by libfreehand::FHParser::readSymbolClass().

## ◆ m_groupId

unsigned libfreehand::FHSymbolClass::m_groupId

Referenced by libfreehand::FHCollector::_getBBofSymbolInstance(), libfreehand::FHCollector::_outputSymbolInstance(), and libfreehand::FHParser::readSymbolClass().

## ◆ m_listId

unsigned libfreehand::FHSymbolClass::m_listId

Referenced by libfreehand::FHParser::readSymbolClass().

## ◆ m_nameId

unsigned libfreehand::FHSymbolClass::m_nameId

Referenced by libfreehand::FHParser::readSymbolClass().

## ◆ m_symbolLibraryId

unsigned libfreehand::FHSymbolClass::m_symbolLibraryId

Referenced by libfreehand::FHParser::readSymbolClass().

The documentation for this struct was generated from the following file:

- FHTypes.h